#
# spec file for package fcitx5-anthy
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fcitx5-anthy
Version:        5.1.0
Release:        bp156.1.5
Summary:        Anthy Wrapper for Fcitx5
License:        GPL-2.0-or-later
URL:            https://github.com/fcitx/fcitx5-anthy
Source:         https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  anthy-devel
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  fcitx5-devel
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
Requires:       anthy
Requires:       fcitx5
Provides:       fcitx-anthy = %{version}
Obsoletes:      fcitx-anthy <= 0.2.3
%if 0%{?suse_version} <= 1520
BuildRequires:  appstream-glib-devel
%endif

%description
Anthy Wrapper for Fcitx5.

%prep
%setup -q

%build
%cmake
%make_build

%install
%cmake_install
%find_lang %{name}

%files -f %{name}.lang
%license LICENSES
%doc README.md
%{_fcitx5_libdir}/libanthy.so
%{_fcitx5_addondir}/anthy.conf
%{_fcitx5_imconfdir}/anthy.conf
%{_fcitx5_datadir}/anthy
%{_datadir}/icons/hicolor/*/status/org.fcitx.Fcitx5.fcitx-anthy*
%{_datadir}/icons/hicolor/*/apps/org.fcitx.Fcitx5.fcitx-anthy*
%{_datadir}/icons/hicolor/*/status/fcitx-anthy*
%{_datadir}/icons/hicolor/*/apps/fcitx-anthy*
%{_datadir}/metainfo/org.fcitx.Fcitx5.Addon.Anthy.metainfo.xml

%changelog
* Sun Aug 20 2023 Marguerite Su <i@marguerite.su>
- update to 5.1.0
  * bug fix on input mode and now input mode correctly
    follows global shared state option
* Mon May 22 2023 Marguerite Su <i@marguerite.su>
- Update to 5.0.14
  * Add all size of icon for anthy
  * replace uint with unsigned int
  * Fix custom kana/nicola table loading
* Sun Nov 20 2022 Fusion Future <qydwhotmail@gmail.com>
- Update to 5.0.13
  * Update translation
* Tue Jul  5 2022 Fusion Future <qydwhotmail@gmail.com>
- Update to 5.0.12
  * Update default conversion rule to accept using "ci" "kwa" etc just
    like mozc
* Sun Mar 13 2022 Marguerite Su <i@marguerite.su>
- update version 5.0.10
  * Add Down and some keypad to some actions by default
* Sat Feb 12 2022 Marguerite Su <i@marguerite.su>
- update version 5.0.9
  * Small fix in the paging logic. Now it's possible to always
    go to the next page regardless of current cursor position.
* Wed Dec 15 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.8
  * Fix UI not update when click candidate
* Wed May  5 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.5
  * Fix NICOLA problems
- changes in version 5.0.4
  * Implement sub mode label
* Tue Mar 16 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.3
* Sun Jan 31 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.2
  * Make label in UI more meaningful
* Sun Dec  6 2020 Marguerite Su <i@marguerite.su>
- update version 5.0.1
* Tue Nov 10 2020 Marguerite Su <i@marguerite.su>
- update version 5.0.0
* Fri Sep  4 2020 Marguerite Su <i@marguerite.su>
- initial package
